#
# spec file for package mozaddon-bugmenot
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mozaddon-bugmenot
Version:        3
Release:        3.1
Summary:        Bugmenot extension for Firefox
License:        MPL-2.0
Group:          Productivity/Networking/Web/Browsers
Url:            https://addons.mozilla.org/firefox/addon/bugmenot/

Source:         https://addons.cdn.mozilla.net/user-media/addons/6349/bugmenot-3-fx.xpi
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  mozaddon-devel
BuildArch:      noarch

%description
Activate the extension by right-clicking on a user name and/or
password field of a site that asks for registration. BugMeNot will
log in for you automatically using user-submitted passwords.
Features: multiple login attempts, failure reporting, and
auto-submittal.

%prep

%build

%install
%mozilla_addon_install %{S:0}
%mozilla_unlock_addons
find "%buildroot" -iname __MACOSX -exec rm -Rf "{}" "+"
%fdupes "%buildroot%mozilla_moduledir"

%files
%defattr(-,root,root)
%mozilla_moduledir

%changelog
* Fri Oct 17 2014 jengelh@inai.de
- Update to new upstream release 3
  * Now working again with a complete rebuild for improved experience.
* Sat Jun 22 2013 jengelh@inai.de
- Initial package (version 2.2) for build.opensuse.org
